## DEBMAKER
The main goal of this repository is allow to create application from source without install compilation utility directly on the main system.
All package are install in folder in chroot environnement with only one script.

### Requirement 
 - debootstrap (ie apt install debootstrap)
 - Run as root

### Usage

```bash
. vaultwarden2deb
debmake_runAllStep
```

### package are available without compilation

  - [joplin-server](#joplin-server)
  - [rss-bridge](#rss-bridge)
  - [vaultwarden](#vaultwarden)
  - [zigbee2mqtt](#zigbee2mqtt)
  - [element-web](#element-web)

#### joplin-server

```bash
apt install -y python wget ca-certificates
wget -qO - https://deb.lgy.fr/install.sh | bash
wget -qO - https://deb.nodesource.com/setup_16.x | bash
apt-get update
apt-get install -y joplin-server

#Edit /etc/default/joplin-server

systemctl enable --now joplin-server
```


#### rss-bridge

```bash
wget -qO - https://deb.lgy.fr/install.sh | bash
apt install rss-bridge

# sample configuration for apache2

apt install libapache2-mod-php
cp /usr/share/doc/rss-bridge/apache2-rss-bridge.conf /etc/apache2/site-available/
a2ensite apache2-rss-bridge

# edit /etc/apache2/site-available/apache2-rss-bridge.conf

systemctl restart apache2
```


#### vaultwarden

```bash
wget -qO - https://deb.lgy.fr/install.sh | bash
apt install vaultwarden vaultwarden-web

#Edit /etc/default/vaultwarden

systemctl enable --now vaultwarden
```

#### zigbee2mqtt

```bash
apt install -y wget ca-certificates
wget -qO - https://deb.lgy.fr/install.sh | bash
apt-get install -y zigbee2mqtt

#Edit /etc/zigbee2mqtt/configuration.yaml

systemctl enable --now zigbee2mqtt
```


#### element-web

```bash
wget -qO - https://deb.lgy.fr/install.sh | bash
apt install element-web

# sample configuration for apache2

cp /usr/share/doc/element-web/apache2-element-web.conf /etc/apache2/sites-available/element-web.conf
a2ensite element-web

# edit /etc/apache2/sites-available/element-web.conf
# edit /etc/element-web/config.json

systemctl restart apache2
```

